Package org.snpeff.stats

# Class CoverageByType

java.lang.Object
java.util.AbstractMap<String,PosStats>
java.util.HashMap<String,PosStats>
org.snpeff.collections.AutoHashMap<String,PosStats>
org.snpeff.stats.CoverageByType

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Map<String,PosStats>`

public class CoverageByType extends AutoHashMap<String,PosStats>

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

## Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K,V>`

## Constructor Summary

Constructors
Constructor
Description
`CoverageByType()`

## Method Summary

### Methods inherited from class org.snpeff.collections.AutoHashMap

`getOrCreate`

### Methods inherited from class java.util.HashMap

`clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, newHashMap, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

### Methods inherited from class java.util.AbstractMap

`equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`equals, hashCode`

## Constructor Details

### CoverageByType

public CoverageByType()